import create from 'dd-store';
import pageStore from '../../pages/meetingDetail/store';
create.Page({
  store: pageStore,
  data: {
    meetingId: '',
    tasks: null //store
  },
  onLoad(query) {
    this.setData({
      meetingId: query.meetingId
    })
  },
  changeTaskStatus({ status, taskId, commentId, meetingId }) {
    this.store.changeStatus(this.data.meetingId, {
      commentId: commentId,
      processState: status,
      taskId: taskId
    })
  }
});
